import { RabbitSubscribe } from '@golevelup/nestjs-rabbitmq';
import { Controller } from '@nestjs/common';

@Controller()
export class UserController {
  @RabbitSubscribe({
    exchange: 'logging',
    routingKey: 'user.create.*',
    queue: 'logging-user',
  })
  public async userCreatedHandler(message: string) {
    console.log(JSON.parse(message));
  }
}
